public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Ondrej Mosnacek <omosnace@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: selinux-testsuite: skip module_load test when we can't run it
Date: Fri, 11 Sep 2026 13:17:38 GMT	[thread overview]
Message-ID: <178913265892.1.9332072700931579083.tests-selinux-50a1ccb0d5ed@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 50a1ccb0d5edabe118cba7550632761681e602d6
            Author : Ondrej Mosnacek <omosnace@redhat.com>
            Date   : 2019-12-13T10:27:52+01:00
            Stats  : +6/-0 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/50a1ccb0d5edabe118cba7550632761681e602d6?branch=pr775-checkpolicy-revdeps

            Log:
            selinux-testsuite: skip module_load test when we can't run it

CKI mainline kernel packages don't currently provide the files necessary
to build kernel modules. Work around it by disabling the module_load
subtest when the files are missing.

Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>

---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index c4a4618..d866b92 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -337,6 +337,12 @@ rlJournalStart
                     "Disable BPF tests on RHEL and non-x86_64 Fedora"
             fi
 
+            if ! [ -r "/lib/modules/$(uname -r)/build/Makefile" ]; then
+                # CKI mainline kernels don't ship with module build
+                # infrastructure just yet.
+                exclude_tests+=" module_load"
+            fi
+
             if [ -n "$exclude_tests" ] ; then
                 rlRun "sed -i '/^[^[:space:]]*:\(\| .*\)\$/i SUBDIRS:=\$(filter-out $exclude_tests, \$(SUBDIRS))' tests/Makefile" 0 \
                     "Exclude not applicable tests: $exclude_tests"

                 reply	other threads:[~2026-09-11 13:17 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913265892.1.9332072700931579083.tests-selinux-50a1ccb0d5ed@fedoraproject.org \
    --to=omosnace@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox